<?php
/*******************************************************************************
			File:					jqGridGenerator.class.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/JSON.inc.php';

class jqGrid {

  var $gridName;
  var $gridPagerName;
  var $gridCols;
  
  // konstruktor
  function jqGrid($gridName, $dataFunction, $operationFunction) {
		$this->gridName = $gridName;
		$this->gridPagerName = "{$gridName}_pager";
		
		if (isset($_POST['oper'])) { //edit,...
			if (call_user_func($operationFunction, $this, array())) {
				if ((isset($_POST["oper"])) and ($_POST["oper"]=='edit')) {
					$responceData = call_user_func($dataFunction, $this, array("rowId"=>$_POST["id"]));
					$r=$responceData->getData();
					if ($r->rows[0]["id"]==$_POST["id"]) {
						echo json_encode($r->rows[0]);
					}
				}
			} else {
				//TODO
					echo '<div class="ui-widget">'; //style="width:90%"
					echo '	<div class="ui-state-error ui-corner-all" style="padding: 0 .7em;">';
					echo '		<p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span>';
					echo '		<strong>Chyba:</strong> Uložení záznamu selhalo.</p>';
					echo '	</div>';
					echo '</div>';
			}
			exit;
		} else if (isset($_GET['page']) && isset($_GET['rows']) && isset($_GET['nd'])) {  //load data
			$responceData = call_user_func($dataFunction, $this, array());
			echo json_encode($responceData->getData());
			exit;
		}
	}
	
	function addColumn($column /*jqGridColumn*/) {
		$this->gridCols[$column->getId()] = $column->getProperties();
	}
	
	function generateGrid() {
	  $gridData = array();
		$url = $_SERVER['PHP_SELF'];
		if ($_SERVER["QUERY_STRING"]!="") {
			$url .= '?'.$_SERVER["QUERY_STRING"];
		}
		$gridData["url"] = $url;
		$gridData["editurl"] = $url;

		$gridData["colModel"] = array();
		foreach($this->gridCols as $col => $colProperty) {
			$idx = count($gridData["colModel"]);

			$gridData["colModel"][$idx]["name"] = $col;   // unique name
			$gridData["colModel"][$idx]["index"] = $col;  // sort by

			if (isset($colProperty["label"]))
				$gridData["colModel"][$idx]["label"] = $colProperty["label"];

			if (isset($colProperty["width"]))
				$gridData["colModel"][$idx]["width"] = $colProperty["width"];

			if (isset($colProperty["align"]))
				$gridData["colModel"][$idx]["align"] = $colProperty["align"];
				
			if (isset($colProperty["edittype"])) {
				if (($colProperty["edittype"]=="checkbox") or ($colProperty["edittype"]=="select")) {
					if (isset($colProperty["editoptions"]["value"])) {
						$gridData["colModel"][$idx]["editoptions"] = array("value"=>$colProperty["editoptions"]["value"]);
					}
					$gridData["colModel"][$idx]["edittype"] = $colProperty["edittype"];
				} else {
					$gridData["colModel"][$idx]["edittype"] = $colProperty["edittype"];
				}
			}

			if (isset($colProperty["edittype"]))
				$gridData["colModel"][$idx]["edittype"] = $colProperty["edittype"];

			if (isset($colProperty["editable"]))
				$gridData["colModel"][$idx]["editable"] = $colProperty["editable"];

			if (isset($colProperty["sortable"]))
				$gridData["colModel"][$idx]["sortable"] = $colProperty["sortable"];
		}
		
		
		$gridData["scroll"] = true;

		$gridData["datatype"] = "json";
		$gridData["rowNum"] = 1000;
		$gridData["autowidth"] = true;
		$gridData["rownumbers"] = true;
		$gridData["rowList"] = array(10,20,30);
		$gridData["pager"] = "#$this->gridPagerName";
		$gridData["sortname"] = 'id';
		$gridData["viewrecords"] = true;
		$gridData["sortorder"] = "asc";
		//$gridData["caption"] = "Using events example";
		$gridData["height"] = "200";
		//$gridData["forceFit"]=false;
		$gridData["shrinkToFit"]=false;
		
		$jsonGridData = json_encode($gridData);
		
		echo "<table id='$this->gridName'></table>";
		echo "<div id='$this->gridPagerName'></div>";
		
		echo "<script type='text/javascript'>";
		echo "$('#".$this->gridName."').jqGrid(".$jsonGridData.");";

		
		$navGrid=array();
		$navGrid["edit"]=true;
		$navGrid["add"]=true;
		$navGrid["del"]=true;
		$navGrid["search"]=false;
		$navGrid["refresh"]=true;

		$jsonNavGrid=json_encode($navGrid);
		echo "$('#$this->gridName').jqGrid('navGrid','#$this->gridPagerName',$jsonNavGrid);";
		
		
		echo
		"$(window).resize(function() {
		  $('#".$this->gridName."').jqGrid('setGridWidth',$(window).width()-5);
			$('#".$this->gridName."').jqGrid('setGridHeight',$(window).height()
																														-($('#".$this->gridName."_rn').outerHeight()+4)
																														-($('#".$this->gridPagerName."').outerHeight()+4)
																														-$('#header').outerHeight()-$('#footer').outerHeight()
																						);
		});
		$(window).resize();";

		echo "</script>";
	}
}


class jqGridColumn {
	var $colId;
	var $colProperties = array();
	
	//colNames => colModel[label]
	
	
	function jqGridColumn($id) {
		$this->setId($id);
		$this->colProperties = array();
	}
	
	function getId() {
		return $this->colId;
	}

	function getProperties() {
		return $this->colProperties;
	}

	function setId($id) {
		$this->colId = $id;
	}
	
	function setLabel($val) {
		$this->colProperties["label"] = $val;
	}

	function setWidth($val) {
		$this->colProperties["width"] = $val;
	}

	function setAlign($val) {
		$this->colProperties["align"] = $val;
	}

	function setEditType($val) {
		$this->colProperties["edittype"] = $val;
	}

	function setEditable($val) {
		$this->colProperties["editable"] = $val;
	}

	function setSortable($val) {
		$this->colProperties["sortable"] = $val;
	}
	
	function addValue($valKey, $valText)
	{
		if (!isset($this->colProperties["editoptions"])) {
			$this->colProperties["editoptions"]=array();
		}

		if (!isset($this->colProperties["editoptions"]["value"])) {
			$this->colProperties["editoptions"]["value"] = "$valKey:$valText";
		} else {
			$this->colProperties["editoptions"]["value"] .= ";$valKey:$valText";
		}
	}
	
}


class jqGridResponseData
{
	var $page;
	var $countPages;
	var $countRecords;

	var $rowsData = array();

	function jqGridResponseData($page = "", $countPages = "", $countRecords = "")
	{
		$rowsData = array();

		$this->page = $page;
		$this->countPages = $countPages;
		$this->countRecords = $countRecords;
	}

	function setCounts($page, $countPages, $countRecords)
	{
		$this->page = $page;
		$this->countPages = $countPages;
		$this->countRecords = $countRecords;
	}

	function getData()
	{
		$response->page = $this->page;
		$response->total = $this->countPages;
		$response->records = $this->countRecords;
		$response->rows = array();
		$response->userdata["options"]=array();
		$response->userdata["css"]=array();

		$i=0;
		foreach($this->rowsData as $row => $rowData) {
			$response->rows[$i]['id'] = $rowData["id"];
			$response->rows[$i]['cell'] = array();
			$response->userdata["options"][$rowData["id"]] = array();
			$response->userdata["css"][$rowData["id"]] = array();
			$response->userdata["css"][$rowData["id"]]["style"] = array();

			$response->userdata["options"][$rowData["id"]]["editable"] = $rowData["editable"];

			if (isset($rowData["background-color"]) and ($rowData["background-color"]!="")) {
				$response->userdata["css"][$rowData["id"]]["style"]["background-color"] = $rowData["background-color"];
			}

			if (isset($rowData["color"]) and ($rowData["color"]!="")) {
				$response->userdata["css"][$rowData["id"]]["style"]["color"] = $rowData["color"];
			}

			$response->userdata["css"][$rowData["id"]]["cells"] = array();
			foreach($rowData["cells"] as $cell => $cellData) {
				$cellText = $cellData["text"];
				if (isset($cellData["acronym"]) and ($cellData["acronym"]!="")) {
					$cellText = "<acronym style='cursor:help;border-bottom:1px dotted #000;' title='{$cellData["acronym"]}'>$cellText</acronym>";
				}

				$response->rows[$i]['cell'][] = $cellText;
				$response->userdata["css"][$rowData["id"]]["cells"][$cell] = array();

				if (isset($cellData["color"]) and ($cellData["color"]!="")) {
					$response->userdata["css"][$rowData["id"]]["cells"][$cell]["color"] = $cellData["color"];
				}

				if (isset($cellData["background-color"]) and ($cellData["background-color"]!="")) {
					$response->userdata["css"][$rowData["id"]]["cells"][$cell]["background-color"] = $cellData["background-color"];
				}
			}
			$i++;
		}
		return $response;
	}

	function getLastRowNum()
	{
		return count($this->rowsData)-1;
	}

	function getLastCellNum()
	{
		return count($this->rowsData[$this->getLastRowNum()]["cells"])-1;
	}

	// add row with unique id
	function addRow($id, $editable)
	{
		$this->rowsData[$this->getLastRowNum()+1] = array();  //create row
		$this->rowsData[$this->getLastRowNum()]["id"] = $id;
		$this->rowsData[$this->getLastRowNum()]["cells"] = array();
		$this->rowsData[$this->getLastRowNum()]["editable"] = $editable;
	}

	// set row text color
	function setRowColor($val)
	{
		$this->rowsData[$this->getLastRowNum()]["color"] = $val;
	}

	// set row text background color
	function setRowBgColor($val)
	{
		$this->rowsData[$this->getLastRowNum()]["background-color"] = $val;
	}

	// add cell
	function addCell($text="")
	{
		$this->rowsData[$this->getLastRowNum()]["cells"][$this->getLastCellNum()+1] = array(); //create cell
		$this->setCellText($text);
	}

	// set cell text
	function setCellText($val)
	{
		$this->rowsData[$this->getLastRowNum()]["cells"][$this->getLastCellNum()]["text"] = $val;
	}

	// set cell text  - index
	function setCellTextIndex($val, $index)
	{
		$this->rowsData[$this->getLastRowNum()]["cells"][$index]["text"] = $val;
	}

	// set cell text acronym
	function setCellAcronym($val)
	{
		$this->rowsData[$this->getLastRowNum()]["cells"][$this->getLastCellNum()]["acronym"] = $val;
	}

	// set cell text color
	function setCellColor($val)
	{
		$this->rowsData[$this->getLastRowNum()]["cells"][$this->getLastCellNum()]["color"] = $val;
	}

	// set cell text background color
	function setCellBgColor($val)
	{
		$this->rowsData[$this->getLastRowNum()]["cells"][$this->getLastCellNum()]["background-color"] = $val;
	}
}
?>