<?php
/*******************************************************************************
			File:       	functions.inc.php
			Author:				Libor Maňák
*******************************************************************************/


// funkce vrací text v proměnné v GET, pokud není dostupná vloží se výchozí hodnota
// + kontrola zda je v proměnné číslo
function requestGETNum($variable, $default = 0)
{
	if (isset($_GET[$variable])) {
		$value = $_GET[$variable];
	  if (is_numeric($value)) {
			return $value;
		}
	} else {
		return $default;
	}
}


// funkce vrací text v proměnné v GET, pokud není dostupná vloží se výchozí hodnota
function requestGETText($variable, $default = "")
{
	if (isset($_GET[$variable])) {
		$value = $_GET[$variable];
		
		///////////////////////////////////
		if(ini_get('magic_quotes_gpc')) {
			$value = stripslashes($value);
		}
		///////////////////////////////////
		
		return $value;
	} else {
		return $default;
	}
}


function requestPOSTText($variable, $default = "")
{
	if (isset($_POST[$variable])) {
		$value = $_POST[$variable];
		
		//////////////////////////////////
		if(ini_get('magic_quotes_gpc')) {
			$value = stripslashes($value);
		}
		/////////////////////////////////
		
		return $value;
	} else {
		return $default;
	}
}

function requestPOSTNum($variable, $default = 0)
{
	if (isset($_POST[$variable])) {
		$value = $_POST[$variable];
	  if (is_numeric($value)) {
			return $value;
		}
	} else {
		return $default;
	}
}

//=== funkce vrací název objektu ===
//  $id - id objektu
//
//  Např:
//				objekt_nazev(5)
//				U5
//
function objekt_nazev($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT nazev FROM objekt WHERE id='$id'"));
	return $record[0];
}


//=== zjištuje existenci podlaží ===
//  $id - id objektu
//
//
function podlazi_existuje($id, $podlazi)
{
	return (!(mysql_num_rows((mysql_query("SELECT id FROM mapa WHERE objekt_id='$id' AND podlazi='$podlazi'")))==0));
}


function mistnost_oznaceni($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT oznaceni FROM mistnost WHERE id='$id'"));
	return $record[0];
}

function zaklani_alias($text)
{
	$alias = explode(";", $text);
	if (count($alias)==1) {
    return $text;
	} else {
  	return $alias[0]; //zobrazit pouze první alias - další jsou určeny pro vyhledávání
	}
}

function mistnost_oznaceni_alias($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT alias_oznaceni FROM mistnost WHERE id='$id'"));
	return zaklani_alias($record[0]);
}

function mistnost_ucel($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT ucel_id FROM mistnost WHERE id='$id'"));
	return $record[0];
}

function mistnost_popis($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT popis FROM mistnost WHERE id='$id'"));
	//return $record[0];
	return str_replace("\n",'<br />',$record[0]);
}

function mistnost_kapacita($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT kapacita FROM mistnost WHERE id='$id'"));
	return $record[0];
}

function ucel_nazev($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT nazev FROM ucel WHERE id='$id'"));
	return $record[0];
}

function ucel_bgcolor($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT bgcolor FROM ucel WHERE id='$id'"));
	return $record[0];
}


function znacka_nazev($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT nazev FROM znacka WHERE id='$id'"));
	return $record[0];
}

function znacka_tooltip($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT tooltip FROM znacka WHERE id='$id'"));
	return $record[0];
}

function cesta_odkud_nazev($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT nazev FROM cesta_odkud WHERE id='$id'"));
	return $record[0];
}

function cesta_odkud_podlazi($id)
{
	$record = mysql_fetch_row(mysql_query("SELECT podlazi FROM cesta_odkud WHERE id='$id'"));
	return $record[0];
}


//=== vrací aktuální URL ===
function actualURL()
{
	$url=dirname("http://".$_SERVER["SERVER_NAME"].$_SERVER["SCRIPT_NAME"]);
	if ($url[strlen($url)-1]!="/") {
		$url .= "/";
	}

	return $url;
}

function generateSourceURL()
{
	return urlencode($_SERVER['REQUEST_URI']);
}

function encodeSourceURL($data)
{
	return urlencode($data);
}

function requestSourceURL()
{
  $source = requestGETText('source', '');
  return urldecode($source);
}


function generateUpdateSet($array) {
	$return = '';

	foreach ($array as $k => $value) {
		if ($return!='') {
			$return .= ",";
		}
		$return .= "`$k`='".mysql_real_escape_string($value)."'";
	}
	return $return;
}

// == html2rgb ===
// Staženo z: http://www.anyexample.com/programming/php/php_convert_rgb_from_to_html_hex_color.xml
function html2rgb($color)
{
	if ($color[0] == '#')
		$color = substr($color, 1);

	if (strlen($color) == 6)
		list($r, $g, $b) = array($color[0].$color[1],
														$color[2].$color[3],
														$color[4].$color[5]);
	elseif (strlen($color) == 3)
		list($r, $g, $b) = array($color[0].$color[0], $color[1].$color[1], $color[2].$color[2]);
	else
		return false;

	$r = hexdec($r); $g = hexdec($g); $b = hexdec($b);

	return array($r, $g, $b);
}

// === rgb2html ===
// Staženo z: http://www.anyexample.com/programming/php/php_convert_rgb_from_to_html_hex_color.xml
function rgb2html($r, $g=-1, $b=-1)
{
	if (is_array($r) && sizeof($r) == 3)
		list($r, $g, $b) = $r;

	$r = intval($r); $g = intval($g);
	$b = intval($b);

	$r = dechex($r<0?0:($r>255?255:$r));
	$g = dechex($g<0?0:($g>255?255:$g));
	$b = dechex($b<0?0:($b>255?255:$b));

	$color = (strlen($r) < 2?'0':'').$r;
	$color .= (strlen($g) < 2?'0':'').$g;
	$color .= (strlen($b) < 2?'0':'').$b;
	return '#'.$color;
}

?>