/*******************************************************************************
			File:					viewport.buttons.php
			Author:				Libor Maňák
*******************************************************************************/


function moveMap(val) {
	var size = 20;

	if (val=='N') {
		$('#viewport_image').css('top', ($('#viewport_image').position().top+size)+'px');
		if ($('#viewport_image').position().top > 0) {
			$('#viewport_image').css('top', '0px');
		}
	} else if (val=='S') {
		$('#viewport_image').css('top', ($('#viewport_image').position().top-size)+'px');
		if (($('#viewport').height() - $('#imgMap').height()) < 0) {
			if (($('#viewport').height() - $('#imgMap').height()) > $('#viewport_image').position().top) {
				$('#viewport_image').css('top', ($('#viewport').height() - $('#imgMap').height())+'px');
			}
		}
	} else if (val=='E') {
		$('#viewport_image').css('left', ($('#viewport_image').position().left-size)+'px');
		if (($('#viewport').width() - $('#imgMap').width()) < 0) {
			if (($('#viewport').width() - $('#imgMap').width()) > $('#viewport_image').position().left) {
				$('#viewport_image').css('left', ($('#viewport').width() - $('#imgMap').width())+'px');
			}
		}
	} else if (val=='W') {
		$('#viewport_image').css('left', ($('#viewport_image').position().left+size)+'px');
		if ($('#viewport_image').position().left > 0) {
			$('#viewport_image').css('left', '0px');
		}
	}
}

function zoomMap(val) {
	if (val=='+') {
		zoomableZoom(+10);
	} else if (val=='-') {
		zoomableZoom(-10);
	}
}

function storeyMap(val) {
	var changed = false;

	if (val=='+') {
		if (!$('#btnStoreyUp').hasClass('ui-state-disabled')) {
			if (actual_storey==-1) {
				actual_storey = 1;
			} else {
				actual_storey += 1;
			}

			changed = true;
		}
	} else if (val=='-') {
		if (!$('#btnStoreyDown').hasClass('ui-state-disabled')) {
		  if (actual_storey==1) {
				actual_storey = -1;
			} else {
				actual_storey -= 1;
			}
			changed = true;
		}
	} else {
    actual_storey = val;
    changed = true;
	}

	if (changed) {
		$("#actStorey").html(actual_storey+'. podlaží');
		setViewportLoading();

		if (actual_editor==0) {
			$("#viewport_image").load("interactivemap.php?object="+actual_object+"&storey="+actual_storey+"&zoom="+zoom_actual+'&room='+actual_room+'&pathfrom='+actual_pathfrom+'&pathto='+actual_pathto+'&pathtype='+actual_pathtype, function() {
				makeMoveable();
				makeMapHighlight();
			});
		} else if (actual_editor==1) {
		  //alert(mode);
		  if ((mode=='jsonmap') || (mode=='coords')) {
				window.location = "mapeditor.php?object="+actual_object+"&storey="+actual_storey+"&zoom="+zoom_actual;
			} else if (mode=='path') {
				$("#viewport_image").load("interactivemap.php?editor=1&object="+actual_object+"&storey="+actual_storey+"&zoom="+zoom_actual+'&room='+actual_room+'&pathfrom='+actual_pathfrom+'&pathto='+actual_pathto+'&pathtype='+actual_pathtype, function() {
					makeMoveable();
					makeEditable();

        	editMistnostPathOnChange();
				});
			} else {
				coords = getCoords();
				$("#viewport_image").load("interactivemap.php?editor=1&object="+actual_object+"&storey="+actual_storey+"&zoom="+zoom_actual+'&room='+actual_room+'&pathfrom='+actual_pathfrom+'&pathto='+actual_pathto+'&pathtype='+actual_pathtype, function() {
					makeMoveable();
					makeEditable();

					addCoords(coords);
					drawCoords(createCoords());
				});
			}
		}
		storeyButtonsDisabled();
	}
}

function storeyButtonsDisabled() {
	if ($('#btnStoreyDown').hasClass('ui-state-disabled')) {
		$('#btnStoreyDown').removeClass('ui-state-disabled');
	}

	if ($('#btnStoreyUp').hasClass('ui-state-disabled')) {
		$('#btnStoreyUp').removeClass('ui-state-disabled');
	}

	a = actual_storey;
	if (a==1) {
		a = -1;
	} else {
		a -= 1;
	}
	if ($.inArray(a, available_storeys)==-1) {
		$('#btnStoreyDown').addClass('ui-state-disabled');
	}

  a = actual_storey;
	if (a==-1) {
		a = 1;
	} else {
		a += 1;
	}
	if (($.inArray(a, available_storeys))==-1) {
		$('#btnStoreyUp').addClass('ui-state-disabled');
	}
}

function buttonsGoTo(val) {
	if (val=="R") {
    $("#btnGoToRight").hide();
    $("#btnGoToLeft").show();
	} else if (val=="L") {
    $("#btnGoToLeft").hide();
    $("#btnGoToRight").show();
	}
}

$(function() {
	$("#btnN").button({icons: {primary:'ui-icon-arrowthick-1-n'},text: false});
	$("#btnE").button({icons: {primary:'ui-icon-arrowthick-1-e'},text: false});
	$("#btnS").button({icons: {primary:'ui-icon-arrowthick-1-s'},text: false});
	$("#btnW").button({icons: {primary:'ui-icon-arrowthick-1-w'},text: false});

	$("#btnZoomIn").button({icons: {primary:'ui-icon-zoomin'},text: false});
	$("#btnZoomOut").button({icons: {primary:'ui-icon-zoomout'},text: false});

	$("#btnStoreyUp").button({icons: {primary:'ui-icon-plus'},text: false});
	$("#btnStoreyDown").button({icons: {primary:'ui-icon-minus'},text: false});
	
	$("#btnGoToRight").button({icons: {primary:'ui-icon-arrowthickstop-1-e'},text: false});
	$("#btnGoToLeft").button({icons: {primary:'ui-icon-arrowthickstop-1-w'},text: false});
	
	$("#btnGoToLeft").hide();
	
	storeyButtonsDisabled();
});