/*******************************************************************************
			File:					viewport.moveable.php
			Author:				Libor Maňák
*******************************************************************************/

function viewportMoveableRefresh() {
	setViewportContainment();
}

function setViewportMoveableDisabled(val) {
	if (val==true) {
		$("#viewport_image").draggable("option", "disabled", true);
		if ($('#viewport_image').hasClass('ui-state-disabled')) {
			$('#viewport_image').removeClass('ui-state-disabled');
			$('#viewport_image').css('cursor', 'default !important');
			$('#viewport_image').css('top', '0px'); // nenechat narolované mimo plochu
			$('#viewport_image').css('left', '0px');
		}
	} else {
		$('#viewport_image').css( 'cursor', '' );
		$("#viewport_image").draggable("option", "disabled", false);
	}
}

function setViewportContainment() {
	var allowedMove = "";
	if ( $('#viewport').width() < $('#imgMap').width() ) {
		allowedMove += "x";
	}

	if ( $('#viewport').height() < $('#imgMap').height() ) {
		allowedMove += "y";
	}

	if (allowedMove == "") {
		setViewportMoveableDisabled(true);
	} else {
		setViewportMoveableDisabled(false);
		if (allowedMove == "x") {
			$("#viewport_image").draggable("option", "axis", 'x');
			$('#viewport_image').css('top', '0px');
		} else if (allowedMove == "y") {
			$("#viewport_image").draggable("option", "axis", 'y');
			$('#viewport_image').css('left', '0px');
		} else {
			$("#viewport_image").draggable("option", "axis", '');
		}
	}

	//containment, vyžaduje absolutní pozice absolutní pozice!!!
	$("#viewport_image").draggable( "option", "containment", [(($('#viewport').width() - $('#imgMap').width()) + $('#viewport').offset().left), (($('#viewport').height() - $('#imgMap').height()) + $('#viewport').offset().top),  $('#viewport').offset().left, $('#viewport').offset().top] );

	// kontrola zda není narolováno dál než může být
	if (($('#viewport').width() - $('#imgMap').width()) < 0) {
		if (($('#viewport').width() - $('#imgMap').width()) > $('#viewport_image').position().left) {
			$('#viewport_image').css('left', ($('#viewport').width() - $('#imgMap').width())+'px');
		}
	}

	if (($('#viewport').height() - $('#imgMap').height()) < 0) {
		if (($('#viewport').height() - $('#imgMap').height()) > $('#viewport_image').position().top) {
			$('#viewport_image').css('top', ($('#viewport').height() - $('#imgMap').height())+'px');
		}
	}
}

function makeMoveable() {
	$("#viewport_image").draggable({
		start: function(event, ui) {
			setViewportContainment();
		}
	});

	$(window).resize(function() {
		setViewportContainment();
	});

	viewportMoveableRefresh();
}

$(function() {
	makeMoveable();
});