<?php
/*******************************************************************************
			File:					mapeditor.php
			Author:				Libor Maňák
*******************************************************************************/


require_once 'include/auth.php';
require_once 'include/include.php';

$posBoxSize = 6; /* px */

$object = requestGETNum('object', 5);
$storey = requestGETNum('storey', 1);
$zoom = requestGETNum('zoom', 100);

$zoomMin = 30;
$zoomMax = 200;

//omezení zoomu
if ($zoom>$zoomMax) {
	$zoom=$zoomMax;
} else if ($zoom<$zoomMin) {
	$zoom=$zoomMin;
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8">
	<meta name="generator" content="PSPad editor, www.pspad.com">
	<meta name="author" content="Bc. Libor Maňák">
	<meta name="copyright" content="&copy; 2010-2011 Bc. Libor Maňák">
	<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" >
	<title>Interaktivní mapa budovy</title>

	<link rel="stylesheet" type="text/css" media="screen" href="css/layout100p.css" />
	<link rel="stylesheet" type="text/css" media="screen" href="css/smoothness/jquery-ui-1.8.11.custom.css" />

	<style type="text/css">
	
		#radioMain {
			font-size: 75%;
		}
		
		#radioImage {
			font-size: 75%;
		}
		
		#radioRoom {
			font-size: 75%;
		}
		
		#radioPath {
			font-size: 75%;
		}

    #viewport {
        width: 100%;
        /*height: 400px;*/
        cursor: move;
        overflow: hidden;
        /*background-color: yellow;*/
    }

	div.editMap {
   /* position: absolute;
	  left: 10px;
	  top: 10px;
	  width: 800px;
	  height: 800px;
	  background-color: yellow;     */
	}

	div.positionableBox {
	  position: absolute;
		width: <?php echo $posBoxSize; ?>px;
		height: <?php echo $posBoxSize; ?>px;
		margin: 0px 0px 0px 0px;
		padding: 0px 0px 0px 0px;
		/*background-color: #fbca93;*/
		/*background-color: red;*/
	/*	border: 1px solid #777;*/
		cursor:move;


	}
	</style>

	<script type="text/javascript" src="js/wz_jsgraphics.js"></script>
	<script type="text/javascript" src="js/jquery-1.5.min.js"></script>
	<script type="text/javascript" src="js/jquery.metadata.min.js"></script>
	<script type="text/javascript" src="js/jquery.maphilight.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.8.11.custom.min.js"></script>
	<script type="text/javascript" src="js/jquery.mousewheel.js"></script>
	<script type="text/javascript" src="js/jquery.timers-1.2.js"></script>
	<script type="text/javascript" src="js/jquery.json-2.2.min.js"></script>
	<script type="text/javascript" src="js/jquery.base64.js"></script>

	<script type="text/javascript">
	$(function() {
		// Hlídání velikosti viewportu (div pro hranice mapy)
		$(window).resize(function() {
			$("#viewport").height($("#container").height() - $("#content").offset().top - $("#footer").height()-3);
		});
		$(window).resize();
	});
	</script>

<?php
	$avStoreys='';
	$sql = "SELECT * FROM mapa WHERE objekt_id='$object' AND vrstva_id='1'";
	$query = mysql_query($sql);
	while ($record = mysql_fetch_array($query)) {
		if ($avStoreys!="") {
			$avStoreys .= ",";
		}
		$avStoreys .= $record["podlazi"];
	}
	$avStoreys = "[$avStoreys]";
?>
	<script type="text/javascript">
		var actual_object = <?php echo $object; ?>;
		var actual_storey = <?php echo $storey; ?>;
		var available_storeys = <?php echo $avStoreys; ?>;
		var actual_editor = 1;
		
		var actual_room = "";
		var actual_pathfrom = "";
		var actual_pathto = "";
		var actual_pathtype = "";
	</script>
	<script type="text/javascript" src="js/viewport.interactivemap.js"></script>
	<script type="text/javascript">
		var editable_sizePosBox = <?php echo floor($posBoxSize/2); ?>;
		var coords = "";
		var jsonmap = "";
	</script>
	<script type="text/javascript" src="js/viewport.editable.js"></script>

	<script type="text/javascript" src="js/viewport.moveable.js"></script>
	<script type="text/javascript">
		var zoom_actual = <?php echo $zoom; ?>;
		var zoom_map = <?php echo $zoom; ?>;
		var zoom_min = <?php echo $zoomMin; ?>;
		var zoom_max = <?php echo $zoomMax; ?>;

		function zoomableEventFirst() {
			coords = getCoords();
		}

		function zoomableEventBeforeZoom() {
			$("#zoomActual").html(zoom_actual+"%");
		}

		function zoomableEventZoom() {
      setViewportLoading();
			$("#viewport_image").load('interactivemap.php?editor=1&object='+actual_object+'&storey='+actual_storey+'&zoom='+zoom_actual, function() {
				zoom_map = zoom_actual;
				makeMoveable();
				makeEditable();

				if (mode=="coords") {
					addCoords(coords);
					drawCoords(createCoords());
				} else if (mode=="jsonmap") {
					var j = jQuery.parseJSON(jsonmap);
					createItemProperties($("#lstJsonMap").val(), j[$("#lstJsonMap").val()]);
					clearCoords();
					createForImageFromJsonMap($("#lstJsonMap").val(), j[$("#lstJsonMap").val()]);
					drawCoords( j[$("#lstJsonMap").val()] );
				}
			});
		}
	</script>
	<script type="text/javascript" src="js/viewport.zoomable.js"></script>

	<script type="text/javascript" src="js/viewport.buttons.js"></script>
	
	<script type="text/javascript" src="js/viewport.editable.properties.js"></script>

	<script type="text/javascript">
	  var mode = "";
	  
		var selectedRadio = "radioMainMove";

		function radioClick(obj) {
		  radioClickName(obj.attr('id'));
		}
		
		function showRadioBar(objName) {
		  if (objName=="radioImage") {
		  	$('#radioRoom').hide();
      	$('#radioPath').hide();
      	$('#radioImage').show();
			} else if (objName=="radioRoom") {
      	$('#radioImage').hide();
      	$('#radioPath').hide();
      	$('#radioRoom').show();
      } else if (objName=="radioPath") {
      	$('#radioImage').hide();
      	$('#radioRoom').hide();
      	$('#radioPath').show();
			} else {
      	$('#radioImage').hide();
      	$('#radioRoom').hide();
      	$('#radioPath').hide();
			}
			
			$(window).resize();
		}
		
		function radioClickName(objName) {
			selectedRadio = objName;

			// Main
			if (selectedRadio=="radioMainMove") {
	      //setViewportMoveableDisabled(false);
       	viewportMoveableRefresh();
	      $("#imgMap").css("cursor", "");
	      showRadioBar('');
	      $("#actionProperties").html('<i>není</i>');
	    } else if (selectedRadio=="radioMainImage") {
	      $("#imgMap").css("cursor", "crosshair");

					$.get("get_value.php?id=jsonmap&object="+actual_object+"&storey="+actual_storey, function(responseText, textStatus, XMLHttpRequest) {
						jsonmap = responseText;
						if (jsonmap=="") {
							jsonmap="[]";
						}
					});
	    
	      showRadioBar('radioImage');
				radioClickName('radioImagePolyline');
    		$("#actionProperties").load("get_editorproperties.php?id=image", function() {
    			//parseJsonMap();
    			jsonMap_getItems();
    			
					$("#lstJsonMap").change( function() {
					  mode = "jsonmap";
					  var j = jQuery.parseJSON(jsonmap);
					  createItemProperties($("#lstJsonMap").val(), j[$("#lstJsonMap").val()]);
					  clearCoords();
					  createForImageFromJsonMap($("#lstJsonMap").val(), j[$("#lstJsonMap").val()]);
					  drawCoords( j[$("#lstJsonMap").val()] );
          });

					$('#lstJsonMap option[value='+(0)+']').attr('selected', 'selected');
					$("#lstJsonMap").change();
          
    		});
	    } else if (selectedRadio=="radioMainRoom") {
	      showRadioBar('radioRoom');
				radioClickName('radioRoomAddCoord');
				$("#actionProperties").load("get_editorproperties.php?id=room", function() {
					$("#editMistnost").load("get_select.php?id=rooms&object="+actual_object+"&storey="+actual_storey, function() {
						editMistnostOnChange();
					});

					$("#btnSaveMapCoords").button();
					
					$("#lstCoords").change( function() {
		  			var selC = $(this).val();

						$('#mapaobjekty div').each(function(index , value) {
							pos = positionOfBox($(this));
							if (selC==Math.round(pos[0]/*l*/)+','+Math.round(pos[1]/*t*/)) {
								$(value).css({"background-color": "yellow" });
							} else {
		          	$(value).css({"background-color": "red" });
							}
						});

					});
					
				});
      } else if (selectedRadio=="radioMainPath") {
        showRadioBar('radioPath');
        radioClickName('radioPathAddCoord');
        
        
				$("#actionProperties").load("get_editorproperties.php?id=path", function() {
					$("#editMistnostPath").load("get_select.php?id=rooms&object="+actual_object+"&storey="+actual_storey+"&all=1", function() {
						editMistnostPathOnChange();
					});

					$("#btnSavePathCoords").button();

					$("#lstCoordsPath").change( function() {
		  			var selC = $(this).val();

						$('#mapaobjekty div').each(function(index , value) {
							pos = positionOfBox($(this));
							if (selC==Math.round(pos[0]/*l*/)+','+Math.round(pos[1]/*t*/)) {
								$(value).css({"background-color": "yellow" });
							} else {
		          	$(value).css({"background-color": "red" });
							}
						});

					});

				});
        
	    }
	    
	    //Image
	    
	    //Room
	    else if (selectedRadio=="radioRoomAddCoord") {
	      //setViewportMoveableDisabled(true);
	      $("#imgMap").css("cursor", "crosshair");
			} else if (selectedRadio=="radioRoomRemoveCoord") {
	      //setViewportMoveableDisabled(true);
	      $("#imgMap").css("cursor", "crosshair");
			}
			
	    //Path
	    else if (selectedRadio=="radioPathAddCoord") {
	      //setViewportMoveableDisabled(true);
	      $("#imgMap").css("cursor", "crosshair");
			} else if (selectedRadio=="radioPathRemoveCoord") {
	      //setViewportMoveableDisabled(true);
	      $("#imgMap").css("cursor", "crosshair");
			}

		}
		
		function parseJsonMap() {
			var j = jQuery.parseJSON(jsonmap);
			
			$.each(j, function(index, value) {
				if (value.type=="line") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
				} else if (value.type=="polyline") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
					
				} else if (value.type=="staircase") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});

					
				} else if (value.type=="polygon") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
				} else if (value.type=="rectangle") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						v[3]=parseInt(v[3]);
						addBox(v[0], v[1], "red");
						addBox(v[0]+v[2], v[1], "red");
						addBox(v[0], v[1]+v[3], "red");
						addBox(v[0]+v[2], v[1]+v[3], "red");
					});
				} else if (value.type=="ellipse") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						v[3]=parseInt(v[3]);
						addBox(v[0], v[1], "red");
						addBox(Math.round(v[0]+(v[2]/2)), v[1], "red");
						addBox(v[0], Math.round(v[1]+(v[3]/2)), "red");
					});
				} else if (value.type=="circle") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						addBox(v[0], v[1], "red");
						addBox(Math.round(v[0]+(v[2]/2)), v[1], "red");
					});
				} else if (value.type=="arc") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						v[3]=parseInt(v[3]);
						//v[4]=parseInt(v[4]);
						//v[5]=parseInt(v[5]);
						addBox(v[0], v[1], "red");
						addBox(Math.round(v[0]+(v[2]/2)), v[1], "red");
						addBox(v[0], Math.round(v[1]+(v[3]/2)), "red");
					});
				} else if (value.type=="sign") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
        } else if (value.type=="fill") {
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
				} else {
					alert("parseJsonMap: Unknown type '"+value.type+"'");
				}
			});
		}
			
		function createForImageFromJsonMap(index, value) {
		
				if (value.type=="line") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
				} else if (value.type=="polyline") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
					
				} else if (value.type=="staircase") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
					
				} else if (value.type=="polygon") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
				} else if (value.type=="rectangle") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						v[3]=parseInt(v[3]);
						addBox(v[0], v[1], "red");
						addBox(v[0]+v[2], v[1], "red");
						addBox(v[0], v[1]+v[3], "red");
						addBox(v[0]+v[2], v[1]+v[3], "red");
					});
				} else if (value.type=="ellipse") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						v[3]=parseInt(v[3]);
						addBox(v[0], v[1], "red");
						addBox(Math.round(v[0]+(v[2]/2)), v[1], "red");
						addBox(v[0], Math.round(v[1]+(v[3]/2)), "red");
					});
				} else if (value.type=="circle") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						addBox(v[0], v[1], "red");
						addBox(Math.round(v[0]+(v[2]/2)), v[1], "red");
					});
				} else if (value.type=="arc") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						v[2]=parseInt(v[2]);
						v[3]=parseInt(v[3]);
						//v[4]=parseInt(v[4]);
						//v[5]=parseInt(v[5]);
						addBox(v[0], v[1], "red");
						addBox(Math.round(v[0]+(v[2]/2)), v[1], "red");
						addBox(v[0], Math.round(v[1]+(v[3]/2)), "red");
					});
				} else if (value.type=="sign") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
        } else if (value.type=="fill") {
				  if (value.coords=="") {
						return;
					}
					var vals=value.coords.split(';');
					$.each(vals, function(indexc, valuec) {
						v=valuec.split(',');
						v[0]=parseInt(v[0]);
						v[1]=parseInt(v[1]);
						addBox(v[0], v[1], "red");
					});
				} else {
					alert("parseJsonMap: Unknown type '"+value.type+"'");
				}


		}
		
		function editMistnostOnChange() {
			clearCoords();
			setCoords("");
			$.get("get_value.php?id=coords&room="+$("#editMistnost").val(), function(responseText, textStatus, XMLHttpRequest) {
			  mode = "coords";
				setCoords(responseText);
				addCoords(getCoords());
				drawCoords(getCoords());
			});
		}
		

		function editMistnostPathOnChange() {
			clearCoords();
			setCoords("");
			$.get("get_value.php?id=path&room="+$("#editMistnostPath").val()+"&type="+$("#editMistnostPathType").val()+"&from="+$("#editMistnostPathFrom").val(), function(responseText, textStatus, XMLHttpRequest) {
			  mode = "path";
				setCoords(responseText);
				addCoords(getCoords());
				drawCoords(getCoords());
			});
		}
		
		function jsonMap_getItems() {
			var j = jQuery.parseJSON(jsonmap);
			
			$('#lstJsonMap').html('');

			$.each(j, function(index, value) {
			  $('#lstJsonMap').append('<option value="'+index+'">'+value.type+' ('+index+')'+'</option>');
			});

		}
		
		function saveMapCoords() {
			$("#roomInfo").load("set_value.php?id=coords&room="+$("#editMistnost").val()+"&coords="+getCoords(), function() {
				//alert('Uloženo');
			});
		}
		
		function savePathCoords() {
			$("#roomInfo").load("set_value.php?id=path&room="+$("#editMistnostPath").val()+"&type="+$("#editMistnostPathType").val()+"&from="+$("#editMistnostPathFrom").val()+"&coords="+getCoords(), function() {
				//alert('Uloženo');
			});
		}
		
		function saveJSONMap() {
		
			$.post("set_value.php?id=jsonmap&object="+actual_object+"&storey="+actual_storey, {"jsonmap" : $.base64Encode(jsonmap) }, function(responseText, textStatus, XMLHttpRequest) {
				$("#roomInfo").html(responseText);
				//alert('Uloženo');
			});
			
		//alert("set_value.php?id=jsonmap&object="+actual_object+"&storey="+actual_storey+"&jsonmap="+$.base64Encode(jsonmap));
/*			$("#roomInfo").load("set_value.php?id=jsonmap&object="+actual_object+"&storey="+actual_storey+"&jsonmap="+$.base64Encode(jsonmap), function() {
			});*/
		}
		
		function removeObjectJSONMap() {
		  if ($("#lstJsonMap").val()!=null) {
			  var j = jQuery.parseJSON(jsonmap);

        j.splice($("#lstJsonMap").val(),1);
        
			  jsonmap = $.toJSON(j);

        radioClickName("radioMainImage");

		  }
		}
		
		function upObjectJSONMap() {
      if ($("#lstJsonMap").val()!=null) {
			  var j = jQuery.parseJSON(jsonmap);
			  act = parseInt($("#lstJsonMap").val());
			  var itm = j[act];
        j.splice(act,1);
        newpos=act-1;
        if (newpos < 0) {
					newpos=0;
				}
				
				j.splice(newpos, 0, itm);
				
			  jsonmap = $.toJSON(j);
        radioClickName("radioMainImage");
      }
		}
		
		function downObjectJSONMap() {
      if ($("#lstJsonMap").val()!=null) {
			  var j = jQuery.parseJSON(jsonmap);
			  act = parseInt($("#lstJsonMap").val());
			  var itm = j[act];
        j.splice(act,1);
        newpos=act+1;
        if (newpos > j.length) {
					newpos=j.length-1;
				}

				j.splice(newpos, 0, itm);

			  jsonmap = $.toJSON(j);
        radioClickName("radioMainImage");
      }
		}
		
		function btnRefreshClick() {
			zoomableEventFirst();
			zoomableEventBeforeZoom();
			zoomableEventZoom();
		}
		
		function addElement(itm) {
			var j = jQuery.parseJSON(jsonmap);
			j.push(itm);

			jsonmap = $.toJSON(j);
			jsonMap_getItems();
			
			$('#lstJsonMap option[value='+(j.length-1)+']').attr('selected', 'selected');
			$("#lstJsonMap").change();
		}

		$(function() {
      setViewportLoading();
			$("#viewport_image").load('interactivemap.php?editor=1&object='+actual_object+'&storey='+actual_storey+'&zoom='+zoom_actual, function() {
				makeMoveable();
				makeEditable();
			});
			

			$("#btnRefresh").button();

			$("#radioMain").buttonset();
			$("#radioMainMove").button("option", "icons", {primary:'ui-icon-arrow-4'}).button("option", "text", false);


			$("#btnAddPolyline").button();
			$("#btnAddPolygon").button();
			$("#btnAddRectangle").button();
			$("#btnAddEllipse").button();
			$("#btnAddCircle").button();
			$("#btnAddArc").button();
			$("#btnAddSign").button();
			$("#btnAddStaircase").button();
			$("#btnAddFill").button();
			//$("#radioImageRemove").button("option", "icons", {primary:'ui-icon-trash'}).button("option", "text", false);

			$("#radioRoom").buttonset();
			$("#radioRoomAddCoord").button("option", "icons", {primary:'ui-icon-plusthick'}).button("option", "text", false);
			$("#radioRoomRemoveCoord").button("option", "icons", {primary:'ui-icon-trash'}).button("option", "text", false);
			
			$("#radioPath").buttonset();
			$("#radioPathAddCoord").button("option", "icons", {primary:'ui-icon-plusthick'}).button("option", "text", false);
			$("#radioPathRemoveCoord").button("option", "icons", {primary:'ui-icon-trash'}).button("option", "text", false);

			radioClickName(selectedRadio);

		});
	</script>

</head>
<body>

	<div id="container" style="background-color: #eeeeee;">
		<div id="header">
			<div style="height:50px;vertical-align:middle;">
        <span style="float:left;"><div style="position:absolute;left:10px;top:6px;"><img border="0" src="images/utb_logo.gif" width="25" height="37"></div></span>
				<span style="float:left;"><div style="position:absolute;left:50px;top:12px;">
				<h2><b>Interaktivní mapa budovy - Administrace - Editor plánu</b> <?php
					echo objekt_nazev($object)." - <span id='actStorey'>$storey. podlaží</span>";
				?></h2></div></span>

<?php
if ($login->is_logged==1) {
?>

			<div  style="text-align: right;">

				  <div style="position:relative;left:-15px;">
<?php
	echo '<i>'.$login->user_jmeno." ".$login->user_prijmeni.'</i>';
?>
      			<a href='?logout=1'>Odhlásit</a>
					</div>

				</div>

<?php
}
?>
			</div>

<?php
if ($login->is_logged==1) {
?>
			<div>
				<span  id="radioMain">
					<input type="radio" id="radioMainMove" name="radioMain" onclick="radioClick($(this));" checked="checked" /><label for="radioMainMove">Pohyb mapou</label>
					<input type="radio" id="radioMainImage" name="radioMain" onclick="radioClick($(this));" /><label for="radioMainImage">Rýsovat plán</label>
					<input type="radio" id="radioMainRoom" name="radioMain" onclick="radioClick($(this));" /><label for="radioMainRoom">Definice místností</label>
					<input type="radio" id="radioMainPath" name="radioMain" onclick="radioClick($(this));" /><label for="radioMainPath">Cesta k místnosti</label>
				</span>
				<span>
					<a href="javascript:btnRefreshClick();" id="btnRefresh" style="font-size: 75%;">Znovunačíst mapový podklad</a>
				</span>
			</div>
			

			<div id="radioImage">
			  Přidat:
			  <a href='javascript:addElement({"type":"polyline","coords":"","color":"#000000","fillcolor":"","thickness":"1"});' id="btnAddPolyline">polyline</a>
			  <a href='javascript:addElement({"type":"polygon","coords":"","color":"#000000","fillcolor":"","thickness":"1"});' id="btnAddPolygon">polygon</a>
			  <a href='javascript:addElement({"type":"rectangle","coords":"","color":"#000000","fillcolor":"","thickness":"1"});' id="btnAddRectangle">obdélník</a>
			  <a href='javascript:addElement({"type":"ellipse","coords":"","color":"#000000","fillcolor":"","thickness":"1"});' id="btnAddEllipse">elipsa</a>
			  <a href='javascript:addElement({"type":"circle","coords":"","color":"#000000","fillcolor":"","thickness":"1"});' id="btnAddCircle">kruh</a>
			  <a href='javascript:addElement({"type":"arc","coords":"","color":"#000000","fillcolor":"","thickness":"1"});' id="btnAddArc">oblouk</a>
			  <a href='javascript:addElement({"type":"sign","coords":"100,100","id":1});' id="btnAddSign">značka</a>
			  <a href='javascript:addElement({"type":"staircase","coords":"","color":"#0000FF","fillcolor":"","thickness":"3"});' id="btnAddStaircase">schodiště</a>
			  <a href='javascript:addElement({"type":"fill","coords":"100,100","fillcolor":"#D8D8D8"});' id="btnAddFill">výplň</a>
			</div>

			<div id="radioRoom">
				<input type="radio" id="radioRoomAddCoord" name="radioRoom" onclick="radioClick($(this));" checked="checked" /><label for="radioRoomAddCoord">Přidání bodu pro místnost</label>
				<input type="radio" id="radioRoomRemoveCoord" name="radioRoom" onclick="radioClick($(this));" /><label for="radioRoomRemoveCoord">Odstranění bodu místnosti</label>
			</div>

			<div id="radioPath">
				<input type="radio" id="radioPathAddCoord" name="radioPath" onclick="radioClick($(this));" checked="checked" /><label for="radioPathAddCoord">Přidání bodu cesty</label>
				<input type="radio" id="radioPathRemoveCoord" name="radioPath" onclick="radioClick($(this));" /><label for="radioPathRemoveCoord">Odstranění bodu cesty</label>
			</div>
<?php
}
?>
		</div>
		<div id="content">
<?php
if ($login->is_logged==1) {
?>
			<div style="position: relative;width:100%;">
				<div id="maincol" style=" background-color: #FFFFFF;float: left;position: relative;width:85%;">

					<div id="viewport" style="overflow: hidden;  position: relative;">
						<div id="viewport_image" style="position: absolute; display: block; left: 0px; top: 0px;">

						</div>

						<div style="position:absolute;font-size:45%;">
							<a href="javascript:moveMap('N');" id="btnN" name="btn" style="position:absolute;left:24px;top:5px;">Posunout nahoru</a>
							<a href="javascript:moveMap('S');" id="btnS" name="btn" style="position:absolute;left:24px;top:45px;">Posunout dolů</a>
							<a href="javascript:moveMap('W');" id="btnW" name="btn" style="position:absolute;left:5px;top:25px;">Posunout doleva</a>
							<a href="javascript:moveMap('E');" id="btnE" name="btn" style="position:absolute;left:43px;top:25px;">Posunout doprava</a>

							<a href="javascript:zoomMap('+');" id="btnZoomIn" name="btn" style="position:absolute;left:13px;top:72px;">Přiblížit</a>
							<a href="javascript:zoomMap('-');" id="btnZoomOut" name="btn" style="position:absolute;left:32px;top:72px;">Oddálit</a>

							<a href="javascript:storeyMap('+');" id="btnStoreyUp" name="btn" style="position:absolute;left:13px;top:96px;">Vyšší podlaží</a>
							<a href="javascript:storeyMap('-');" id="btnStoreyDown" name="btn" style="position:absolute;left:32px;top:96px;">Nižší podlaží</a>
						</div>

					</div>

				</div>

				<div id="rightcol" style=" width:15%;float:right;position:relative;background-color:#eeeeee;">
					<div id="actionProperties">
						<i>není</i>
					</div>
				</div>
			</div>
<?php
} else {
  $login->show_login_form();
}
?>
		</div>
		<div id="footer">
<?php
	if (requestSourceURL()!="") {
?>
		  <div id="panelBack" style="float:left;font-size:60%" >&nbsp;<< Zpět&nbsp;</div>
			<script type="text/javascript">
		  $(function() {
				$("#panelBack").button();
				$("#panelBack").click(function() { window.location = "<?php echo requestSourceURL(); ?>"; });
			});
			</script>
<?php
	}
?>
			<div id="panelZoom" class="ui-widget-header ui-corner-bottom ui-corner-top" style="float:left;"><span class="ui-icon ui-icon-zoomin" style="float:left;"></span><div id="zoomActual" style="float:left;"><?php echo $zoom; ?>%</div>&nbsp;</div>
			<div id="roomInfo" class="ui-widget-header ui-corner-bottom ui-corner-top" style="float:left;display: none;"></div>
			<div id="outCoords" style="float:left;display: none;">N/A</div>
			<div style="text-align: right;"><a href="pdf/napoveda_spravce.pdf">Nápověda</a>&nbsp;&nbsp;<span style="font-size:9px">&copy; 2010-2011 Libor Maňák</span></div>
		</div>
	</div>

</body>
</html>